{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables-responsive.css' %}">
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Pengaduan</li>
        </ol>
    </nav>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Pengaduan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Nama</th>
                            <th scope="col" class="text-center">Email</th>
                            <th scope="col" class="text-center">Telepon</th>
                            <th scope="col" class="text-center">Pesan</th>
                            <th scope="col" class="text-center">Tanggal</th>
                            <th scope="col" class="text-center">Dibalas</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for complaint in complaints %}
                            <tr {% if complaint.read_status %} {% else %} class="font-weight-bold" {% endif %}>
                                <th>{{ forloop.counter }}</th>
                                <td>{{ complaint.name }}</td>
                                <td>{{ complaint.email }}</td>
                                <td>{{ complaint.phone }}</td>
                                <td>{{ complaint.message | truncatewords:6 }}</td>
                                <td>{{ complaint.created_at }}</td>
                                <td class="text-white {% if complaint.reply_status %}bg-success{% else %}bg-danger{% endif %}">
                                    {% if complaint.reply_status %}Sudah Dibalas{% else %}Belum Dibalas{% endif %}
                                </td>
                                <td class="text-center">
                                    <a class="btn btn-info btn-circle" 
                                        href="{% url 'profile:admin_complaint_detail' slug=complaint.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Detail">
                                        <i class="bi bi-info-lg"></i>
                                    </a>
                                    {% if complaint.deleted_at %}
                                        <button class="btn btn-success btn-circle" 
                                            onclick="restore_(`{{ complaint.name }}`, '{{ complaint.slug }}', 'complaint', 'Pengaduan')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                    {% else %}
                                        <button href="#" class="btn btn-danger btn-circle" 
                                            onclick="delete_('soft_delete', `{{ complaint.name }}`, '{{ complaint.slug }}', 'complaint', 'Pengaduan')"
                                            data-toggle="tooltip" data-placement="top" title="Sembunyikan">
                                            <i class="bi bi-archive"></i>
                                        </button>
                                    {% endif %}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {% if request.user.is_staff %}
        <div class="card shadow mb-5">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-info">Arsip Pengaduan</h6>
                <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
                </div>
            </div>
            
            <div class="card-body">
                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-archive">
                        <thead class="bg-info text-white">
                            <tr>
                                <th scope="col" class="text-center">#</th>
                                <th scope="col" class="text-center">Nama</th>
                                <th scope="col" class="text-center">Email</th>
                                <th scope="col" class="text-center">Telepon</th>
                                <th scope="col" class="text-center">Pesan</th>
                                <th scope="col" class="text-center">Tanggal</th>
                                <th scope="col" class="text-center">Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for archive in archives %}
                                <tr>
                                    <th>{{ forloop.counter }}</th>
                                    <td>{{ archive.name }}</td>
                                    <td>{{ archive.email }}</td>
                                    <td>{{ archive.phone }}</td>
                                    <td>{{ archive.message | truncatewords:6 }}</td>
                                    <td>{{ archive.created_at }}</td>
                                    <td class="text-center">
                                        <button href="#" class="btn btn-info btn-circle pass-data" 
                                            data-tooltip="tooltip" data-placement="top" title="Detail"
                                            data-toggle="modal" data-target="#modal-center"
                                            data-name="{{ archive.name }}"
                                            data-message="{{ archive.message }}"
                                            data-subject="{{ archive.subject }}"
                                            data-email="{{ archive.email }}"
                                            data-phone="{{ archive.phone }}"
                                            data-created_at="{{ archive.created_at }}">
                                            <i class="bi bi-info"></i>
                                        </button>
                                        <button class="btn btn-success btn-circle" 
                                            onclick="restore_(`{{ archive.name }}`, '{{ archive.slug }}', 'complaint', 'Pengaduan')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        <button href="#" class="btn btn-danger btn-circle" 
                                            onclick="delete_('permanent_delete', `{{ archive.name }}`, '{{ archive.slug }}', 'complaint', 'Pengaduan')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'profile/js/admin/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });
        });
        $('.pass-data').click(function(){
            $('#detail-name').val($(this).attr('data-name'));
            $('#detail-message').val($(this).attr('data-message'));
            $('#detail-email').val($(this).attr('data-email'));
            $('#detail-phone').val($(this).attr('data-phone'));
            $('#detail-subject').val($(this).attr('data-subject'));
            $('#detail-created_at').val($(this).attr('data-created_at'));
        });
    </script>
{% endblock scripts_bawah %}